Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604085 - rhticket in abrt-cli fails to report to GSS portal
rhticket in abrt-cli fails to report to GSS portal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Denys Vlasenko
Michal Nowak
:
Depends On:
Blocks: 580448
  Show dependency treegraph
 
Reported: 2010-06-15 07:47 EDT by Michal Nowak
Modified: 2013-03-07 21:10 EST (History)
8 users (show)

See Also:
Fixed In Version: abrt-1.1.6-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2010-06-15 07:47:17 EDT
Description of problem:

I tried to report "crash" via abrt-cli and rhticket. I have tried that before locally with abrt-gui and it worked (w/ one minor problem in bug 603745), however with abrt-cli it ended like this


[root@hp-xw9400-02 testsuite]# abrt-cli --report cae2a7456c1f95d717d31c1ccf51c2576c7fee37
>> Starting debuginfo installation
>> Getting list of build IDs
>> 3 missing debuginfos, getting package list from cache
>> 3 missing debuginfos, getting package list from repositories
>> 3 debuginfos can't be found
>> Generating backtrace

No changes were detected in the report.
Report using Bugzilla? [y/N]: 
Skipping...
Report using TicketUploader? [y/N]: 
Skipping...
Report using rhticket? [y/N]: y
Wrong settings were detected for plugin rhticket.
Enter your login: 
Enter your password: 
>> Creating a new case...
>> Reporting via 'rhticket' was not successful: error in case creation, server says: '<html><head><title>Apache Tomcat/6.0.20 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 400 - javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]</h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u>javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]</u></p><p><b>description</b> <u>The request sent by the client was syntactically incorrect (javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]).</u></p><HR size="1" noshade="noshade"><h3>Apache Tomcat/6.0.20</h3></body></html>'
rhticket: error in case creation, server says: '<html><head><title>Apache Tomcat/6.0.20 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 400 - javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]</h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u>javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]</u></p><p><b>description</b> <u>The request sent by the client was syntactically incorrect (javax.xml.bind.UnmarshalException
 - with linked exception:
[org.xml.sax.SAXParseException: Content is not allowed in trailing section.]).</u></p><HR size="1" noshade="noshade"><h3>Apache Tomcat/6.0.20</h3></body></html>'
Crash reported via 1 plugins (1 errors)


First GUI asked me for user/pass I said "proceed w/o credentials" and it successfully reported to GSS portal, however CLI asked me for user/pass (I pressed Enter twice) but failed to create report.

Secondly, I really dislike the error msg starting "Reporting via 'rhticket' was not successful: error in case creation, server says:..." That HTML dump did not said to me much.

Version-Release number of selected component (if applicable):

abrt-1.1.5-1.el6.i686

How reproducible:

always
Comment 1 RHEL Product and Program Management 2010-06-15 07:53:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Denys Vlasenko 2010-06-15 11:14:23 EDT
This is bug which manifests in 32-bit arch only. Diagnosed and fixed in git. Will be in next abrt build.
Comment 6 releng-rhel@redhat.com 2010-11-10 14:33:12 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.